File gnome-control-center.spec of Package gnome-control-center.11404

#
# spec file for package gnome-control-center
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Allow to enable/disable ibus, as GNOME is rather strict on new versions.
%define with_ibus 1

# Wacom input support
%ifarch s390 s390x
%define with_wacom 0
%else
%define with_wacom 1
%endif

Name:           gnome-control-center
Version:        3.26.2
Release:        0
Summary:        The GNOME Control Center
License:        GPL-2.0+
Group:          System/GUI/GNOME
Url:            http://www.gnome.org
Source:         http://download.gnome.org/sources/gnome-control-center/3.26/%{name}-%{version}.tar.xz

# PATCH-FEATURE-OPENSUSE gnome-control-center-follow-polkit-permissions-for-tz.patch boo#904058 badshah400@gmail.com -- Follow polkit permissions for allowing/locking timezone setting changes
Patch1:         gnome-control-center-follow-polkit-permissions-for-tz.patch
# PATCH-FIX-OPENSUSE gnome-control-center-disable-error-message-for-NM.patch bsc#989801 sckang@suse.com -- network: Improve the check for whether NM or wicked is running was:PATCH-FIX-OPENSUSE
Patch2:         gnome-control-center-disable-error-message-for-NM.patch
# PATCH-FIX-UPSTREAM control-center-network-add-domain-suffix-match.patch bgo#787882 bsc#1047509 sckang@suse.com -- wifi: Add domain-suffix-match entry
Patch3:         control-center-network-add-domain-suffix-match.patch
# PATCH-FIX-UPSTREAM gnome-control-center-users-empty-state.patch bsc#1087583 mgorse@suse.com -- add an empty state to the user accounts panel.
Patch4:         gnome-control-center-users-empty-state.patch
# PATCH-FIX-UPSTREAM gnome-control-center-fix-users-crash.patch bsc#1087583 mgorse@suse.com -- fix crash opening users when run as root.
Patch5:         gnome-control-center-fix-users-crash.patch
# PATCH-FIX-UPSTREAM control-center-fix-crash-due-to-object-name-clashes.patch bsc#1083668 bgo#785099 sckang@suse.com -- network: Fix crash due to object name clashes in NM and g-c-c
Patch6:         control-center-fix-crash-due-to-object-name-clashes.patch
# PATCH-FIX-UPSTREAM control-center-fix-crash-opening-hidden-network.patch bsc#1083668 bgo#785099 sckang@suse.com -- network: Fix crash opening "Hidden network" dialogue
Patch7:         control-center-fix-crash-opening-hidden-network.patch
# PATCH-FIX-UPSTREAM control-center-sharing-fix-margin-issue.patch bsc#1087134 sckang@suse.com -- sharing: set end margin for labels in Networks list box
Patch8:         control-center-sharing-fix-margin-issue.patch
# PATCH-FIX-UPSTREAM control-center-ignore-unmanaged-wifi-devices.patch bsc#1079320 glgo#GNOME/gnome-control-center#54 sckang@suse.com -- wifi: only manage Wi-Fi devices managed by NM
Patch9:         control-center-ignore-unmanaged-wifi-devices.patch
# PATCH-FIX-UPSTREAM gnome-control-center-remove-implicit-language-setting.patch bsc#1078968 yfjiang@suse.com -- user-accounts: remove implicit language setting when a new user navigating the user panel at the first time (commit a1066a2)
Patch10:        gnome-control-center-remove-implicit-language-setting.patch
# PATCH-FIX-UPSTREAM gnome-control-center-periodic-wifi-scan.patch bsc#1097347, bgo#793647 sckang@suse.com -- network: Request periodic Wi-Fi scans
Patch11:        gnome-control-center-periodic-wifi-scan.patch
# PATCH-FIX-UPSTREAM control-center-network-fix-ce-apply-button.patch glgo#GNOME/gnome-control-center!402 bsc#1040054 sckang@suse.com -- network: disable the "Apply" button until a change has been made
Patch12:         control-center-network-fix-ce-apply-button.patch
# PATCH-FIX-UPSTREAM control-center-fix-mtu-label.patch glgo#GNOME/gnome-control-center!475 bsc#1040055 sckang@suse.com -- network: Fix mtu label not requesting enough space
Patch13:         control-center-fix-mtu-label.patch

### patches for Leap >= 15 plus SLE >= 15, but not TW

# PATCH-FEATURE-SLE gnome-control-center-info-never-use-gnome-software.patch bsc#999336 fezhang@suse.com -- info: Never search for gnome-software as an option when checking for updates on SLE and Leap 42.2, because we use gpk-update-viewer.
Patch1003:      gnome-control-center-info-never-use-gnome-software.patch
# PATCH-FEATURE-SLE gnome-control-center-more-power-button-actions.patch bsc#993381 fezhang@suse.com -- power: Bring back the "shutdown" and "interactive" power button actions.
Patch1004:      gnome-control-center-more-power-button-actions.patch
# PATCH-FEATURE-SLE gnome-control-center-bring-back-firewall-zone.patch fate#316719 sckang@suse.com -- network: Bring back the firewall zone combo box to select proper firewall zone for each connection.
Patch1005:      gnome-control-center-bring-back-firewall-zone.patch

BuildRequires:  cups-devel
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  krb5-devel
%if 0%{?sle_version} >= 150000
BuildRequires:  translation-update-upstream
%endif
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(accountsservice) >= 0.6.39
BuildRequires:  pkgconfig(cairo-gobject)
BuildRequires:  pkgconfig(cheese)
BuildRequires:  pkgconfig(cheese-gtk) >= 3.3.91
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(colord) >= 0.1.34
BuildRequires:  pkgconfig(colord-gtk) >= 0.1.24
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.23.0
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glib-2.0) >= 2.53.0
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gnome-bluetooth-1.0) >= 3.18.2
BuildRequires:  pkgconfig(gnome-desktop-3.0) >= 3.19.93
BuildRequires:  pkgconfig(gnome-settings-daemon) >= 3.25.92
BuildRequires:  pkgconfig(goa-1.0) >= 3.25.3
BuildRequires:  pkgconfig(goa-backend-1.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(grilo-0.3) >= 0.2.12
BuildRequires:  pkgconfig(gsettings-desktop-schemas) >= 3.21.4
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22.0
BuildRequires:  pkgconfig(gudev-1.0)
%if %{with_ibus}
BuildRequires:  pkgconfig(ibus-1.0) >= 1.5.2
%endif
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(libnm) >= 1.2
BuildRequires:  pkgconfig(libnm-glib-vpn) >= 1.2
BuildRequires:  pkgconfig(libnm-gtk) >= 1.2
BuildRequires:  pkgconfig(libnma) >= 1.2
BuildRequires:  pkgconfig(libpulse) >= 2.0
BuildRequires:  pkgconfig(libpulse-mainloop-glib) >= 2.0
BuildRequires:  pkgconfig(libsoup-2.4)
%if %{with_wacom}
BuildRequires:  pkgconfig(libwacom) >= 0.7
%endif
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(mm-glib) >= 0.7
BuildRequires:  pkgconfig(polkit-gobject-1) >= 0.103
BuildRequires:  pkgconfig(pwquality) >= 1.2.2
BuildRequires:  pkgconfig(smbclient)
BuildRequires:  pkgconfig(upower-glib) >= 0.99.0
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xi) >= 1.2
Requires:       gnome-settings-daemon
# needed for universal access panel
Requires:       gnome-themes-accessibility
Requires:       gnome-version
Requires:       iso-codes
# Needed for showing keyboard layout, boo#898096
Requires:       libgnomekbd
Recommends:     %{name}-lang
Recommends:     %{name}-user-faces
# cups-pk-helper should only be recommended, rather than a hard Requires, see boo#904047
Recommends:     cups-pk-helper
Recommends:     dbus(com.intel.dleyna-server)
# the printers panel can use the dbus service
Recommends:     system-config-printer-dbus-service
Provides:       acme
Provides:       fontilus
Provides:       themus
Obsoletes:      acme
Obsoletes:      fontilus
Obsoletes:      themus
Provides:       control-center2 = 2.22.1
Obsoletes:      control-center2 < 2.22.1
# gnome-control-center-branding was obsoleted with g-c-c 3.8.0 (after openSUSE 12.3)
Obsoletes:      gnome-control-center-branding <= 12.3
Obsoletes:      gnome-control-center-branding-openSUSE <= 12.3
Obsoletes:      gnome-control-center-branding-upstream <= 12.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
The control center is GNOME's main interface for configuration of
various aspects of your desktop.

%package user-faces
Summary:        Login manager user avatars
Group:          System/GUI/GNOME

%description user-faces
This package provides user avatars to be used by display managers

%package devel
Summary:        Header files for the GNOME Control Center
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
Provides:       control-center2-devel = 2.22.1
Obsoletes:      control-center2-devel < 2.22.1

%description devel
The control center is GNOME's main interface for configuration of
various aspects of your desktop.

%package color
Summary:        Configuration panel for color management
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
# The color panel requires colord to be present for the glib schema
Requires:       colord
# The color panel interacts with binaries from gnome-color-manager
Requires:       gnome-color-manager
Supplements:    %{name}

%description color
This package provides the color management configuration panel for
GNOME control center.

%package goa
Summary:        Configuration panel for online accounts
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
# The online accounts panel interacts with binaries and icons from gnome-online-accounts
Requires:       gnome-online-accounts
Supplements:    packageand(%{name}:gnome-online-accounts)

%description goa
This package provides the online accounts onfiguration panel for
GNOME control center.

%lang_package

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

# patches for Leap >= 15 plus SLE >= 15, but not TW
%if 0%{?sle_version} >= 150000
translation-update-upstream
%patch1003 -p1
%patch1004 -p1
%patch1005 -p1
%endif

%build
ACLOCAL_FLAGS="-I libgd" NOCONFIGURE=1 gnome-autogen.sh

%configure \
	--disable-static \
	--disable-maintainer-mode \
%if %{with_ibus}
	--enable-ibus \
%else
	--ibus-disable \
%endif
	%{nil}
pushd panels/common
make gsd-common-enums.h
popd
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

# We do not package gnome-control-center.rules (bnc#804966)
rm %{buildroot}%{_datadir}/polkit-1/rules.d/gnome-control-center.rules
%find_lang %{name}-2.0 %{?no_lang_C}
%find_lang %{name}-2.0-timezones %{name}-2.0.lang
%fdupes %{buildroot}/%{_prefix}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/appdata/gnome-control-center.appdata.xml
%exclude %{_datadir}/applications/gnome-color-panel.desktop
%exclude %{_datadir}/applications/gnome-online-accounts-panel.desktop
%{_datadir}/applications/*.desktop
%{_datadir}/bash-completion/completions/gnome-control-center
%{_datadir}/dbus-1/services/org.gnome.ControlCenter.service
%{_datadir}/dbus-1/services/org.gnome.ControlCenter.SearchProvider.service
%{_datadir}/gnome-control-center/
%dir %{_datadir}/gnome-shell/
%dir %{_datadir}/gnome-shell/search-providers/
%{_datadir}/gnome-shell/search-providers/gnome-control-center-search-provider.ini
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/polkit-1/actions/org.gnome.controlcenter.datetime.policy
%{_datadir}/polkit-1/actions/org.gnome.controlcenter.remote-login-helper.policy
%{_datadir}/polkit-1/actions/org.gnome.controlcenter.user-accounts.policy
# We do not package gnome-control-center.rules
#{_datadir}/polkit-1/rules.d/gnome-control-center.rules
%dir %{_datadir}/sounds/gnome
%dir %{_datadir}/sounds/gnome/default
%dir %{_datadir}/sounds/gnome/default/alerts
%{_datadir}/sounds/gnome/default/alerts/*.ogg
%{_libexecdir}/cc-remote-login-helper
%{_libexecdir}/gnome-control-center-search-provider

%{_mandir}/man1/gnome-control-center.1%{?ext_man}

%files lang -f %{name}-2.0.lang

%files user-faces
%defattr (-, root, root)
%{_datadir}/pixmaps/faces/

%files color
%defattr(-,root,root)
%{_datadir}/applications/gnome-color-panel.desktop

%files goa
%defattr(-,root,root)
%{_datadir}/applications/gnome-online-accounts-panel.desktop

%files devel
%defattr (-, root, root)
%{_datadir}/pkgconfig/gnome-keybindings.pc
%{_datadir}/gettext/its/gnome-keybindings.its
%{_datadir}/gettext/its/gnome-keybindings.loc

%changelog